...
 
Commits (2)
statsmodels (0.9.0-2) UNRELEASED; urgency=medium
* Team upload.
* Build-Depends: s/python3-sphinx/python-sphinx/
Rationale: For some reason
/usr/lib/python3/dist-packages/matplotlib/sphinxext/only_directives.py
from package python3-matplotlib is not found.
* Remove matplotlib.sphinxext.only_directives option which is not used
Closes: #917754
-- Andreas Tille <tille@debian.org> Tue, 12 Feb 2019 15:22:35 +0100
......
......@@ -45,7 +45,7 @@ Build-Depends-Indep: ipython3 (>= 5~) <!nodoc> | ipython3-notebook <!nodoc>,
python-patsy-doc <!nodoc>,
python-pandas-doc <!nodoc>,
python3-doc <!nodoc>,
python-sphinx <!nodoc>,
python3-sphinx <!nodoc>,
python3-traitlets <!nodoc> | ipython3-notebook
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
......
Author: Yaroslav Halchenko
Last-Update: 2017-02-08 13:16:11 -0500
Andreas Tille (for the change)
Last-Update: Wed, 13 Feb 2019 08:43:05 +0100
Description: Use Debian packaged IPhythonSphinx extensions
.
Also drop matplotlib.sphinxext.only_directives which fail with
python3-matplotlib and are not used
--- a/docs/source/conf.py
+++ b/docs/source/conf.py
@@ -36,13 +36,28 @@ extensions = ['sphinx.ext.autodoc',
@@ -35,14 +35,29 @@ extensions = ['sphinx.ext.autodoc',
'sphinx.ext.autosummary',
'sphinx.ext.inheritance_diagram',
'matplotlib.sphinxext.plot_directive',
'matplotlib.sphinxext.only_directives',
- 'matplotlib.sphinxext.only_directives',
- 'IPython.sphinxext.ipython_console_highlighting',
- 'IPython.sphinxext.ipython_directive',
+ #'matplotlib.sphinxext.only_directives',
+ #'IPython.sphinxext.ipython_console_highlighting',
+ #'IPython.sphinxext.ipython_directive',
'github', # for GitHub links,
......